## org.plovr.util
Class Pair<F,S>

    java.lang.Object
      org.plovr.util.Pair<F,S>

    public final class Pair<F,S>

extends Object

Method Summary
`boolean` `equals(Object obj)`
`F` `getFirst()`
`S` `getSecond()`
`int` `hashCode()`

`static

`<F,S> Pair<F,S>`

`

`of(F first, S second)`

`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### of

    public static <F,S> Pair<F,S> of(F first,
                                     S second)

### getFirst

    public F getFirst()

### getSecond

    public S getSecond()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`